| createArchiveMetadataEnvelopes | POST /restapi/v2.1/accounts/{accountId}/envelopes/archive_metadata Add metadata in the form of GenAndSend to existing envelopes in docusign. |
| createGenAndArchiveEnvelopes | POST /restapi/v2.1/accounts/{accountId}/envelopes/generate_and_archive Generates the document using DocuSign Spring CM template then returns the html content of the document. |
| createGenAndConvertEnvelopes | POST /restapi/v2.1/accounts/{accountId}/envelopes/generate_and_convert Generates the document using DocuSign Spring CM template then returns the content of the document based on the return document type. |
| createGenAndConvertMultiEnvelopes | POST /restapi/v2.1/accounts/{accountId}/envelopes/generate_and_convert_multi Generates multiple document using DocuSign Spring CM template then returns the content of the document based on the return document type. |
| createGenAndSendEnvelopes | POST /restapi/v2.1/accounts/{accountId}/envelopes/generate_and_send Generates the documents for an envelope using DocuSign Spring CM then creates the envelope. |
| createLinkMetadataEnvelopes | POST /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/archive_metadata Add metadata in the form of GenAndSend to existing envelopes in docusign. |
| getEnvelopeDocGenFormFields | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields Returns sender fields for an envelope. |
| updateEnvelopeDocGenFormFields | PUT /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields Updates sender fields for an envelope. |